:root {
    --white: #FFFFFF;
    --black: #000000;
    --primary: #81C68A; /*hospital-green ACD9B2*/
    --secondary: #C7C7C7; /* very-light-pink*/
    --text-input-field: #F7F7F7; /* light gray */
    --body-text: #797979; /* dark */
    --sm: .875rem; /* 14px */
    --md: 1rem; /* 16px */
    --lg: 1.125rem /* 18px */
}

* {
    box-sizing: border-box;
    font-family: 'Quicksand', sans-serif;
}

body {
    margin: 0;
    color: var(--black);
}

/****************** UTILITIES ******************/
.main-center {
    width: 100%;
    min-height: 100vh;
    display: grid;
    place-items: center;
    padding: 1.5rem 1rem;
}

.container-sm {
    display: grid;
    grid-template-rows: auto 1fr auto;
    width: 100%;
    max-width: 18.75rem; /* 300px */
}

.col-flex {
    display: flex;
    flex-direction: column;
}

.logo {
    display: none;
    width: 100%;
    max-width: 9.5rem; /* 152px */
    margin-bottom: 5rem; /* 80px */
    justify-self: center;
}

.title {
    font-size: var(--lg);
    margin-bottom: .75rem; /* 12px */
    text-align: center;
}

.subtitle {
    color: var(--body-text);
    font-size: var(--md);
    margin-top: 0;
    margin-bottom: 2.5rem; /* 40px */
    text-align: center;
}

.text-center {
    text-align: center;
}

.link {
    color: var(--primary);
    text-decoration: none;
}

.primary-button {
    background-color: var(--primary);
    border-radius: .5rem; /* 8px */
    border: none;
    color: var(--white);
    width: 100%;
    cursor: pointer;
    font-size: var(--lg);
    padding: 1.25rem; /* 20px */
    line-height: 1.25rem; /* 20px */
    font-weight: 500;
}

.secondary-button {
    background-color: var(--white);
    border-radius: .5rem; /* 8px */
    border: 1px solid var(--primary);
    color: var(--primary);
    width: 100%;
    cursor: pointer;
    font-size: var(--lg);
    padding: 1.25rem; /* 20px */
    line-height: 1.25rem; /* 20px */
    font-weight: 500;
}


/****************** FORMS ******************/
.label {
    font-size: var(--sm);
    font-weight: bold;
    margin-bottom: .25rem; /* 4px */
}

.input {
    background-color: var(--text-input-field);
    color: var(--body-text);
    border: none;
    border-radius: .5rem; /* 8px */
    height: 2.75rem; /* 44px */
    font-size: var(--md);
    padding: .5rem; /* 8px */
    margin-bottom: 1.75rem; /* 28px */
}

.form-button {
    margin-top: .5rem; /* 8px */
}

.form-extra-actions {
    font-size: var(--sm);
    font-weight: 500;
    margin-top: 1.75rem; /* 28px */
    color: var(--body-text);
    text-align: center;
}

::placeholder {
    color: var(--secondary);
    opacity: 1; /* Firefox */
}


/****************** MESSAGE SENT ******************/
.email-container {
    justify-items: center;
}

.email-image {
    width: 9.5rem; /* 152px */
    height: 9.5rem; /* 152px */
    border-radius: 50%;
    background-color: var(--text-input-field);
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 2.5rem; /* 40px */
}

.email-image img {
    display: block;
    width: 5.5rem; /* 88 px */
}


/****************** LOGIN ******************/
.login-forgot {
    margin-bottom: 9.5rem; /* 152px */
}

.login-button {
    margin-top: .25rem; /* 4px */
}


/****************** MY ACCOUNT ******************/
.my-account-title {
    text-align: left;
    margin-bottom: 3rem; /* 48px */
}


/****************** MEDIA QUERIES ******************/
@media (max-width: 640px) {
    .logo {
        display: block;
    }

    /****************** LOGIN ******************/
    .login {
        padding-top: 0;
        padding-bottom: 0;
    }

    .login-container {
        min-height: 100%;
    }

    .login-logo {
        padding-top: 14vh;
    }

    .singup-button {
        margin-bottom: 1.5rem;
    }

    /****************** CREATE ACCOUNT ******************/
    .my-account-container {
        min-height: 100%;
    }

    .my-account-form {
        min-height: 100%;
        justify-content: space-between;
    }
}
